OpenNMS API 1.2.9

## org.opennms.netmgt.dhcpd
Class Message

    java.lang.Object
      org.opennms.netmgt.dhcpd.Message

All Implemented Interfaces:
  java.io.Serializable

public final class Message
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`private edu.bucknell.net.JDHCP.DHCPMessage` `m_dhcpmsg`
`private java.net.InetAddress` `m_target`

Constructor Summary
`(package private)` `Message()`
`` `Message(java.net.InetAddress target, edu.bucknell.net.JDHCP.DHCPMessage msg)`

Method Summary
`java.net.InetAddress` `getAddress()`
`edu.bucknell.net.JDHCP.DHCPMessage` `getMessage()`
`private void` `readObject(java.io.ObjectInputStream in)`
`private void` `writeObject(java.io.ObjectOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_dhcpmsg

    private edu.bucknell.net.JDHCP.DHCPMessage m_dhcpmsg

### m_target

    private java.net.InetAddress m_target

Constructor Detail

### Message

    Message()

### Message

    public Message(java.net.InetAddress target,
                   edu.bucknell.net.JDHCP.DHCPMessage msg)

Method Detail

### getAddress

    public java.net.InetAddress getAddress()

### getMessage

    public edu.bucknell.net.JDHCP.DHCPMessage getMessage()

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.